Skip to main content
POST
/
v1
/
mpp
/
credentials
/
mint
Mint an MPP credential from a 402 challenge
curl --request POST \
  --url https://api.getovra.com/v1/mpp/credentials/mint \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "challenge": "<string>",
  "intentId": "<string>",
  "cardId": "<string>"
}
'
{
  "id": "mppc_...",
  "credential": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "amount_euros": 123,
  "currency": "<string>",
  "merchant_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.getovra.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (sk_sandbox_* / sk_test_* / sk_live_*) or Agent token (at_* / at_dlg_*)

Body

application/json
challenge
string
required

Raw WWW-Authenticate header value (with or without the "Payment " prefix)

Maximum string length: 8192
intentId
string
required
Pattern: ^int_[a-z0-9]{8,}$
cardId
string
required
Pattern: ^ca_[a-z0-9]{8,}$

Response

Credential minted

id
string
Example:

"mppc_..."

credential
string

Opaque base64url-nopad JWE envelope

expires_at
string<date-time>
amount_euros
number
currency
string
merchant_id
string